Bug 1977175 - Default log rotation too fast
Summary: Default log rotation too fast
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xrdp
Version: epel8
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-29 06:34 UTC by elinde
Modified: 2021-07-29 01:36 UTC (History)
2 users (show)

Fixed In Version: xrdp-0.9.16-2.fc34 xrdp-0.9.16-2.fc33 xrdp-0.9.16-2.el8 xrdp-0.9.16-2.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-22 01:13:58 UTC
Type: Bug


Attachments (Terms of Use)

Description elinde 2021-06-29 06:34:52 UTC
System logs for xrdp rotate out after 4 days instead of the system default of 4 weeks.

Requested solution: please remove the "daily" line in xrdp's logrotate file so that it will inherit the logrotate global setting like most other logs.

(Similarly, I think it would be a good idea to remove the "compress" line since none of the other logs use this by default on RHEL/CentOS and it can still easily be set globally by admins who want log compression.)

Comment 1 Fedora Update System 2021-07-13 20:46:08 UTC
FEDORA-2021-16b96ff81f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-16b96ff81f

Comment 2 Fedora Update System 2021-07-13 20:46:08 UTC
FEDORA-2021-dbae3f2e07 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dbae3f2e07

Comment 3 Fedora Update System 2021-07-13 20:46:09 UTC
FEDORA-EPEL-2021-9683589bf4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-9683589bf4

Comment 4 Fedora Update System 2021-07-14 01:01:28 UTC
FEDORA-2021-dbae3f2e07 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-dbae3f2e07`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dbae3f2e07

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-07-14 01:10:30 UTC
FEDORA-2021-16b96ff81f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-16b96ff81f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-16b96ff81f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-14 01:45:06 UTC
FEDORA-EPEL-2021-693fe98840 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-693fe98840

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-14 01:52:46 UTC
FEDORA-EPEL-2021-9683589bf4 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-9683589bf4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-07-22 01:13:58 UTC
FEDORA-2021-dbae3f2e07 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-07-22 01:16:03 UTC
FEDORA-2021-16b96ff81f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-07-29 01:29:09 UTC
FEDORA-EPEL-2021-693fe98840 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-07-29 01:36:43 UTC
FEDORA-EPEL-2021-9683589bf4 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.